package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.organisation;

import java.util.Date;

public class QchjcSupplierEntity {
    private Long id;

    private Long unifiedId;

    private String contactsAddress;

    private String contactsName;

    private String contactsPhone;

    private Integer deleted;

    private Integer enabled;

    private String supplierId;

    private String supplierName;

    private String createUserName;

    private String createUserId;

    private Date createTime;

    private String updateUserName;

    private String updateUserId;

    private Date updateTime;

    private Date syncTime;

    public QchjcSupplierEntity(Long id, Long unifiedId, String contactsAddress, String contactsName, String contactsPhone, Integer deleted, Integer enabled, String supplierId, String supplierName, String createUserName, String createUserId, Date createTime, String updateUserName, String updateUserId, Date updateTime, Date syncTime) {
        this.id = id;
        this.unifiedId = unifiedId;
        this.contactsAddress = contactsAddress;
        this.contactsName = contactsName;
        this.contactsPhone = contactsPhone;
        this.deleted = deleted;
        this.enabled = enabled;
        this.supplierId = supplierId;
        this.supplierName = supplierName;
        this.createUserName = createUserName;
        this.createUserId = createUserId;
        this.createTime = createTime;
        this.updateUserName = updateUserName;
        this.updateUserId = updateUserId;
        this.updateTime = updateTime;
        this.syncTime = syncTime;
    }

    public QchjcSupplierEntity() {
        super();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnifiedId() {
        return unifiedId;
    }

    public void setUnifiedId(Long unifiedId) {
        this.unifiedId = unifiedId;
    }

    public String getContactsAddress() {
        return contactsAddress;
    }

    public void setContactsAddress(String contactsAddress) {
        this.contactsAddress = contactsAddress == null ? null : contactsAddress.trim();
    }

    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName == null ? null : contactsName.trim();
    }

    public String getContactsPhone() {
        return contactsPhone;
    }

    public void setContactsPhone(String contactsPhone) {
        this.contactsPhone = contactsPhone == null ? null : contactsPhone.trim();
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public Integer getEnabled() {
        return enabled;
    }

    public void setEnabled(Integer enabled) {
        this.enabled = enabled;
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId == null ? null : supplierId.trim();
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName == null ? null : supplierName.trim();
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName == null ? null : createUserName.trim();
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId == null ? null : createUserId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName == null ? null : updateUserName.trim();
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }
}